######################## Chapter 2 Script #################
###########################################################


###########################################
# 2.2 Elementary Operators and Functions ##
###########################################

#..........................................
# 2.2.1 Elementary arithmetic operations ..
#..........................................

5+7
5-7
5*7
5/7
5^7

#Limitations
(-2)^(1/3)
(0)^(-2)

#........................................
# 2.2.2 Common mathematical functions ...
#........................................

#Functions
asin(sqrt(2)/2)
log(5)
exp(3.2)

#Absolute value
abs(-5)

#Roots
sqrt(5)
5^(1/7)

#....................................................
# 2.2.3 Other Miscelaneous operators and functions ..
#....................................................

#Estimates of e and pi
exp(1)
2*pi

#Modular arithmetic
12%%5
123%/%17

#Counting
factorial(7)
choose(7,2)

#Scientific notation
(3.21e-5)*(1.23e7)

##Rounding and truncating
round(pi,5)
ceiling(pi)
floor(pi)
trunc(pi)
signif(3.567898272e+5,2)

#Number testing functions
sign(-3); sign(0); sign(3)
is.integer(pi)
is.real(pi)
mode(FALSE)

#......................................
# 2.2.4 Some cautions on computations..
#......................................

#Domain issues
tan(pi/2)
log(0)
asin(1.1)

#Limitations with rational exponents
(-27)^(1/3)

#############################
# 2.3 Sequences of Numbers ##
#############################

#................................
# 2.3.1 Arithmetic sequences ....
#................................

#Consecutive integers
0:100

#Arithmetic sequences
seq(0,100,2)

#................................
# 2.3.2 Customized sequences ....
#................................

2*2^(0:9)

#..................................
# 2.3.3 Summation of sequences ....
#..................................

sum(2*2^(0:9))

#########################################
# 2.4 Common Probability distributions ##
#########################################

#..............................
# 2.4.1 Normal distributions ..
#..............................

#Probabilities
pnorm(17.5,mean=17.5,sd=sqrt(3))

pnorm(21.0,mean=17.5,sd=sqrt(3),lower.tail=F)

pnorm(21.0,mean=17.5,sd=sqrt(3))-
		pnorm(17.5,mean=17.5,sd=sqrt(3))

#Quantiles
qnorm(0.05,mean=17.5,sd=sqrt(3))
qnorm(0.05,mean=17.5,sd=sqrt(3),lower.tail=F)

#Random samples
rnorm(5,mean=17.5,sd=sqrt(3))

#...........................
# 2.4.2 t-distributions ....
#...........................

#Probabilities
pt(1.7,23)
pt(-1.25,23)+pt(1.25,23,lower.tail=F)
pt(1.3,23)-pt(-0.5,23)

#Quantiles
qt(0.01,23)
qt(0.01,23,lower.tail=F)

#Random samples
rt(5,23)

#.........................
# 2.4.3 F-distributions ..
#.........................

#Probabilities
pf(0.5,3,7)
pf(0.5,3,7,lower.tail=F)

#Quantiles
qf(0.01,3,7)
qf(0.01,3,7,lower.tail=F)

#Random samples
rf(5,3,7)

################################
# 2.5 User-defined functions ###
################################

#An Example
pnorm.atob<-function(a,b,mu,s){
      return(pnorm(b,mean=mu,sd=s)-pnorm(a,mean=mu,sd=s))}

ls()

pnorm.atob(10,20,12.2,21.7)



